Subject: bug#11182: 24.0.93; In *shell* buffer, '?' can't be inserted after TAB.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Apr 2012 12:31:59 +0300

> From: Kenichi Handa <[email-masked]>
> Date: Fri, 06 Apr 2012 12:23:23 +0900
> 
> In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:
> 
> > > Ah, that's what "the standard completion UI" in NEWS means.
> > > Ummm, I don't like it.  What annoys me most is that it's
> > > very difficult to find when '?' is bound to
> > > completion-help-at-point.  Are there any easy way to
> > > customize Emacs not to bind '?' to completion-help-at-point?
> 
> > You can remove the binding from completion-in-region-mode-map.
> 
> Thank you.  I now have this in my .emacs.
> 
> ;; To avoid '?' run completion-help-at-point in *shell* buffer.
> (define-key completion-in-region-mode-map "?" nil)

Shouldn't Shell Mode and its derivatives remap that to M-? or some
such?  `?' is too frequent a character in command-line interfaces to
have it bound to anything other than self-insert-command, IMO.  At
least both Bash and GDB bind that function to M-?, and I think Emacs
should follow suit.